### Method

# Gtk PrintSettings to_file

#### Declaration [src]

    gboolean
    gtk_print_settings_to_file (
      GtkPrintSettings* settings,
      const char* file_name,
      GError** error
    )

#### Description [src]

This function saves the print settings from `settings` to `file_name`.

If the file could not be written then error is set to either a `GFileError` or `GKeyFileError`.

#### Parameters

`file_name`

  Type: `const char*`

  The file to save to.

  The data is owned by the caller of the method.
  The value is a platform-native string, using the preferred OS encoding on Unix and UTF-8 on Windows.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

`TRUE` on success.